# CKEditor 3.0 JavaScript API Documentation

Code Index | File Index

## Namespaces

- CKEDITOR
- CKEDITOR.ajax
- CKEDITOR.config
- CKEDITOR.dom
- CKEDITOR.dtd
- CKEDITOR.env
- CKEDITOR.imageCacher
- CKEDITOR.loader
- CKEDITOR.plugins
- CKEDITOR.resourceManager
- CKEDITOR.scriptLoader
- CKEDITOR.skins
- CKEDITOR.test
- CKEDITOR.themes
- CKEDITOR.tools

## Classes

- CKEDITOR.commandDefinition
- CKEDITOR.dialog
- CKEDITOR.dialog.buttonDefinition
- CKEDITOR.dialog.contentDefinition
- CKEDITOR.dialog.contentDefinitionObject
- CKEDITOR.dialog.dialogDefinition
- CKEDITOR.dialog.dialogDefinitionObject
- CKEDITOR.dialog.uiElementDefinition
- CKEDITOR.dialogCommand
- CKEDITOR.dom.document
- CKEDITOR.dom.domObject
- CKEDITOR.dom.element
- CKEDITOR.dom.event
- CKEDITOR.dom.node
- CKEDITOR.dom.selection
- CKEDITOR.dom.text
- CKEDITOR.dom.window
- CKEDITOR.editor
- CKEDITOR.event
- CKEDITOR.eventInfo
- CKEDITOR.focusManager
- CKEDITOR.htmlParser
- CKEDITOR.htmlParser.cdata
- CKEDITOR.htmlParser.comment
- CKEDITOR.htmlParser.element
- CKEDITOR.htmlParser.fragment
- CKEDITOR.htmlParser.text
- CKEDITOR.htmlWriter
- CKEDITOR.keystrokeHandler
- CKEDITOR.pluginDefinition
- CKEDITOR.ui
- CKEDITOR.ui.button
- CKEDITOR.ui.dialog.button
- CKEDITOR.ui.dialog.checkbox
- CKEDITOR.ui.dialog.file
- CKEDITOR.ui.dialog.fileButton
- CKEDITOR.ui.dialog.hbox
- CKEDITOR.ui.dialog.html
- CKEDITOR.ui.dialog.labeledElement
- CKEDITOR.ui.dialog.radio
- CKEDITOR.ui.dialog.select
- CKEDITOR.ui.dialog.textarea
- CKEDITOR.ui.dialog.textInput
- CKEDITOR.ui.dialog.uiElement
- CKEDITOR.ui.dialog.vbox
- CKEDITOR.ui.handlerDefinition
- CKEDITOR.xml

# Namespace CKEDITOR.dtd

Holds and object representation of the HTML DTD to be used by the editor in its internal operations. Each element in the DTD is represented by a property in this object. Each property contains the list of elements that can be contained by the element. Text is represented by the "#" property. Several special grouping properties are also available. Their names start with the "$" character.
Defined in: core/dtd.js.

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| CKEDITOR.dtd Holds and object representation of the HTML DTD to be used by the editor in its internal operations.

Field Summary
Field Attributes | Field Name and Description
--- | ---
<static> | CKEDITOR.dtd.$block List of block elements, like "p" or "div".
<static> | CKEDITOR.dtd.$empty List of empty (self-closing) elements, like "br" or "img".
<static> | CKEDITOR.dtd.$listItem List of list item elements, like "li" or "dd".
<static> | CKEDITOR.dtd.$nonEditable Elements that accept text nodes, but are not possible to edit into the browser.
<static> | CKEDITOR.dtd.$removeEmpty List of elements that can be ignored if empty, like "b" or "span".
<static> | CKEDITOR.dtd.$tabIndex List of elements that have tabindex set to zero by default.
<static> | CKEDITOR.dtd.$tableContent List of elements used inside the "table" element, like "tbody" or "td".

Namespace Detail
CKEDITOR.dtd
Since: 3.0
Holds and object representation of the HTML DTD to be used by the editor in its internal operations. Each element in the DTD is represented by a property in this object. Each property contains the list of elements that can be contained by the element. Text is represented by the "#" property. Several special grouping properties are also available. Their names start with the "$" character.

    // Check if "div" can be contained in a "p" element.
    alert( !!CKEDITOR.dtd[ 'p' ][ 'div' ] );  "false"

    // Check if "p" can be contained in a "div" element.
    alert( !!CKEDITOR.dtd[ 'div' ][ 'p' ] );  "true"

    // Check if "p" is a block element.
    alert( !!CKEDITOR.dtd.$block[ 'p' ] );  "true"

Field Detail
<static> {Object} CKEDITOR.dtd.$block
Since: 3.0
List of block elements, like "p" or "div".

<static> {Object} CKEDITOR.dtd.$empty
Since: 3.0
List of empty (self-closing) elements, like "br" or "img".

<static> {Object} CKEDITOR.dtd.$listItem
Since: 3.0
List of list item elements, like "li" or "dd".

<static> {Object} CKEDITOR.dtd.$nonEditable
Since: 3.0
Elements that accept text nodes, but are not possible to edit into the browser.

<static> {Object} CKEDITOR.dtd.$removeEmpty
Since: 3.0
List of elements that can be ignored if empty, like "b" or "span".

<static> {Object} CKEDITOR.dtd.$tabIndex
Since: 3.0
List of elements that have tabindex set to zero by default.

<static> {Object} CKEDITOR.dtd.$tableContent
Since: 3.0
List of elements used inside the "table" element, like "tbody" or "td".

Copyright © 2003-2009, CKSource - Frederico Knabben. All rights reserved.